GD_SIZE(3)

NAME
GD_SIZE — report the size of a GetData data sample

SYNOPSIS
#include <getdata.h>

int GD_SIZE(gd_type_t type);

DESCRIPTION
The GD_SIZE() preprocessor macro returns the size (in bytes) of a single sample of data of the type specified by type, which should be one of the symbols

    GD_NULL, GD_UINT8, GD_INT8, GD_UINT16, GD_INT16, GD_UINT32, GD_INT32, GD_FLOAT32, GD_FLOAT64, GD_COMPLEX64, GD_COMPLEX128, GD_UNKNOWN.

Passing GD_NULL or GD_UNKNOWN to this macro will return zero. For the other types, the value returned is simply the bit-size encoded in the type symbol divided by eight, so, e.g., GD_SIZE(GD_COMPLEX64) will return 8.

No error checking is performed on type: behaviour resulting from passing something other than the symbols listed above to this macro is unspecified. See gd_getdata(3) for the meaning of the above symbols.

SEE ALSO
gd_getdata(3)